from typing import List

class ControllerData():
    def __init__(self, num_axes : int, num_buttons : int, num_povs : int) -> None:
        self.axes : List[float] = []
        self.buttons : List[int] = []
        self.povs : List[int] = []

        if num_axes > 0:
            self.axes : List[float] = [0] * num_axes
        
        if num_buttons > 0:
            self.buttons : List[int] = [0] * num_buttons
        
        if num_povs > 0:
            self.povs : List[int] = [0] * num_povs