from PyQt5.QtWidgets import QMainWindow, QWidget
from joystick_simulation_node.controllers.components.controller_data import ControllerData

class GenericController(QWidget):
    def __init__(self, joystick_name : str, index : int, num_axes : int, num_buttons : int, num_povs : int) -> None:
        super(GenericController, self).__init__()
        self.joystick_name = joystick_name
        self.index = index
        self.controller_data = ControllerData(num_axes, num_buttons, num_povs)
        self.num_axes = num_axes
        self.num_buttons = num_buttons
        self.num_povs = num_povs